Useful plugins
===============

User plugins
^^^^^^^^^^^^^

GPS comes with a number of plugins, some of which are activated by
default.  Control which plugins are activated by using the
:menuselection:`Edit --> Preferences...` menu.

This section discusses a few of the many plugins built in to GPS. The
preferences dialog shows their description, so you
can decide whether you want them enabled.

The :file:`auto_highlight_occurrences.py` module
------------------------------------------------

.. automodule:: auto_highlight_occurrences

The :file:`dispatching.py` module
---------------------------------

.. automodule:: dispatching


Helper plugins
^^^^^^^^^^^^^^^

A number of plugins are useful when you want to create your own
plugins.

The :file:`gps_utils` module
----------------------------

.. automodule:: gps_utils
   :members:

The :file:`gps_utils.highlighter.py` module
-------------------------------------------

.. automodule:: gps_utils.highlighter
   :members:

The :file:`gps_utils.console_process.py` module
-----------------------------------------------

.. automodule:: gps_utils.console_process
   :members:

Plugins for external tools
^^^^^^^^^^^^^^^^^^^^^^^^^^

QGen
----

.. index:: qgen

The QGen Debugger manual can be found within
the `QGen User guide <http://docs.adacore.com/qgen-docs/html/>`_.
